package com.mkyong.common;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * Hello world!
 * 
 */
public class App {
	final static Logger logger = LoggerFactory.getLogger(App.class);

	public static void main(String[] args) {
		logger.info("Initializing Spring context.");
		ApplicationContext context = new ClassPathXmlApplicationContext("application-context.xml");

		logger.info("Spring context initialized.");
		Message message = (Message) context.getBean("message");
		logger.debug("message='" + message.getMessage() + "zzzzzzzz'");

		HelloWorld obj = (HelloWorld) context.getBean("helloBean");
		obj.printHello();
	}
}